Subject: Re: bug#47891: sort --numeric-sort-Extra-Strength
From: Paul Eggert <[email-masked]>
To: 積丹尼 Dan Jacobson <[email-masked]>
Cc: [email-masked]
Date: Mon, 21 Feb 2022 01:29:16 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 4/19/21 06:15, 積丹尼 Dan Jacobson wrote:
> Let's face it, sort, no matter what --option, or LC_... value,
> just can't achieve this order:
> 
> 3－1號邊
> 3號之1
> 3號之2
> 30

Plain 'sort -n' works for me, in my en_US.utf8 locale. :-)

I do take your point, though, that GNU 'sort' does not support sorting 
by Taiwanese house address. The usual way to handle this sort of thing 
is to transform the house address into a form that GNU 'sort' can 
handle, sort, then transform back. I doubt whether we'll be adding a 
--taiwanese-address-sort option any time soon so I'm taking the liberty 
of closing the bug report.